Subject: bug#11995: vc-compilation-mode name and implementation

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 19 Jul 2012 15:38:23 -0400

The newly added vc-compilation-mode function does not have the best
name, -mode functions stand for modes, this is not one.

Currently the preferred way to define modes is to use `defined-derived-mode'...

Also the implementation seems to be a bit more complicated than needed:
there

Defining a vc-default-compilation-mode function should simplify the
implementation.  vc-make-backend-sym is something that very few things
need to call.

I'm leaving on vacation, so I won't be able to do much about this for a while.